org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MapTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapTest.Traversals

- Enclosing class:
    MapTest

      public static class MapTest.Traversals
      extends MapTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapTest

      `MapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Vertex>` | `get_g_V_mapXconstantXnullXX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_mapXselectXaXX()`
    `Traversal<Vertex,String>` | `get_g_VX1X_mapXnameX(Object v1Id)`
    `Traversal<Vertex,Integer>` | `get_g_VX1X_out_mapXnameX_mapXlengthX(Object v1Id)`
    `Traversal<Vertex,Integer>` | `get_g_VX1X_outE_label_mapXlengthX(Object v1Id)`
    `Traversal<Vertex,String>` | `get_g_withPath_V_asXaX_out_mapXa_nameX()`
    `Traversal<Vertex,String>` | `get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapTest

      `g_V_mapXconstantXnullXX, g_V_mapXselectXaXX, g_VX1X_mapXnameX, g_VX1X_out_mapXnameX_mapXlengthX, g_VX1X_outE_label_mapXlengthX, g_withPath_V_asXaX_out_mapXa_nameX, g_withPath_V_asXaX_out_out_mapXa_name_it_nameX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_mapXnameX

          public Traversal<Vertex,String> get_g_VX1X_mapXnameX(Object v1Id)

      Specified by:
        `get_g_VX1X_mapXnameX` in class `MapTest`

    - #### get_g_VX1X_outE_label_mapXlengthX

          public Traversal<Vertex,Integer> get_g_VX1X_outE_label_mapXlengthX(Object v1Id)

      Specified by:
        `get_g_VX1X_outE_label_mapXlengthX` in class `MapTest`

    - #### get_g_VX1X_out_mapXnameX_mapXlengthX

          public Traversal<Vertex,Integer> get_g_VX1X_out_mapXnameX_mapXlengthX(Object v1Id)

      Specified by:
        `get_g_VX1X_out_mapXnameX_mapXlengthX` in class `MapTest`

    - #### get_g_withPath_V_asXaX_out_mapXa_nameX

          public Traversal<Vertex,String> get_g_withPath_V_asXaX_out_mapXa_nameX()

      Specified by:
        `get_g_withPath_V_asXaX_out_mapXa_nameX` in class `MapTest`

    - #### get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX

          public Traversal<Vertex,String> get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()

      Specified by:
        `get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX` in class `MapTest`

    - #### get_g_V_mapXselectXaXX

          public Traversal<Vertex,Vertex> get_g_V_mapXselectXaXX()

      Specified by:
        `get_g_V_mapXselectXaXX` in class `MapTest`

    - #### get_g_V_mapXconstantXnullXX

          public Traversal<Vertex,Vertex> get_g_V_mapXconstantXnullXX()

      Specified by:
        `get_g_V_mapXconstantXnullXX` in class `MapTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.